package de.unirostock.sems.XmlFileServerClient;

import java.net.URI;

import de.unirostock.sems.XmlFileServerClient.impl.HttpXmlFileServerClient;

/**
 * Factory for XmlFileServer connectors 
 * 
 * @author Martin Peters
 *
 */
public class XmlFileServerClientFactory {
	
	/**
	 * Creates a XmlFileServerClient dependent on the URI (scheme)
	 * 
	 * @param serverLocation
	 * @return XmlFileServer
	 */
	public static XmlFileServer getClient( URI serverLocation ) {
		
		switch( serverLocation.getScheme().toLowerCase() ) {
			case "http":
				return getHttpClient(serverLocation);
		}
		
		return null;
	}
	
	/**
	 * Creates a Http Connector to the specific server
	 * 
	 * @param serverLocation
	 * @return XmlFileServer
	 */
	public static XmlFileServer getHttpClient( URI serverLocation ) {
		return new HttpXmlFileServerClient(serverLocation);
	}
	
	
	
}
